> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.compiler/yarn.compiler.diagnostic/yarn.compiler.diagnostic..ctor-4.md).

# Diagnostic(string,IToken,string,DiagnosticSeverity)

Constructor in [Diagnostic](/api/csharp/yarn.compiler/yarn.compiler.diagnostic.md)

## Summary

Initializes a new instance of the [Diagnostic](/api/csharp/yarn.compiler/yarn.compiler.diagnostic.md) class.

```csharp
public Diagnostic(string fileName, IToken token, string message, DiagnosticSeverity severity = DiagnosticSeverity.Error)
```

## Parameters

| Name                                                                                                                                                      | Description                                                         |
| --------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------- |
| `string` fileName                                                                                                                                         | Gets or sets the path, URI or file-name that the issue occurred in. |
| `Antlr4.Runtime.IToken` token                                                                                                                             | The token at which the error occurred.                              |
| `string` message                                                                                                                                          | Gets or sets the description of the issue.                          |
| [Yarn.Compiler.Diagnostic.DiagnosticSeverity](/api/csharp/yarn.compiler/yarn.compiler.diagnostic/yarn.compiler.diagnostic.diagnosticseverity.md) severity | Gets or sets the severity of the issue.                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.compiler/yarn.compiler.diagnostic/yarn.compiler.diagnostic..ctor-4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
